forward_list.h File Reference

Go to the source code of this file.

## Classes

struct | std::_Fwd_list_base< _Tp, _Alloc >
struct | std::_Fwd_list_const_iterator< _Tp >
struct | std::_Fwd_list_iterator< _Tp >
struct | std::_Fwd_list_node< _Tp >
struct | std::_Fwd_list_node_base
class | std::forward_list< _Tp, _Alloc >

## Namespaces

| std

## Functions

template<typename _Tp >
bool | std::operator!= (const _Fwd_list_iterator< _Tp > &__x, const _Fwd_list_const_iterator< _Tp > &__y) noexcept
template<typename _Tp , typename _Alloc >
bool | std::operator!= (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | std::operator< (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | std::operator<= (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp >
bool | std::operator== (const _Fwd_list_iterator< _Tp > &__x, const _Fwd_list_const_iterator< _Tp > &__y) noexcept
template<typename _Tp , typename _Alloc >
bool | std::operator== (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | std::operator> (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | std::operator>= (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
void | std::swap (forward_list< _Tp, _Alloc > &__lx, forward_list< _Tp, _Alloc > &__ly)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <forward_list>.

Definition in file forward_list.h.